Aracılığıyla paylaş


Triggers - Create Or Update

Tetikleyici oluşturur veya güncelleştirir.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/triggers/{triggerName}?api-version=2018-06-01

URI Parametreleri

Name İçinde Gerekli Tür Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

Fabrika adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90
pattern: ^[-\w\._\(\)]+$

Kaynak grubu adı.

subscriptionId
path True

string

Abonelik tanımlayıcısı.

triggerName
path True

string

minLength: 1
maxLength: 260
pattern: ^[A-Za-z0-9_][^<>*#.%&:\\+?/]*$

Tetikleyici adı.

api-version
query True

string

API sürümü.

İstek Başlığı

Name Gerekli Tür Description
If-Match

string

Tetikleyici varlığının ETag'i. Yalnızca mevcut varlıkla eşleşmesi gereken güncelleştirme için belirtilmelidir veya koşulsuz güncelleştirme için * olabilir.

İstek Gövdesi

Name Gerekli Tür Description
properties True Trigger:

MultiplePipelineTrigger

Tetikleyicinin özellikleri.

Yanıtlar

Name Tür Description
200 OK

TriggerResource

TAMAM.

Other Status Codes

CloudError

Azure Data Factory hizmetinden alınan bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Triggers_Create
Triggers_Update

Triggers_Create

Örnek isteği

PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/triggers/exampleTrigger?api-version=2018-06-01

{
  "properties": {
    "type": "ScheduleTrigger",
    "typeProperties": {
      "recurrence": {
        "frequency": "Minute",
        "interval": 4,
        "startTime": "2018-06-16T00:39:13.8441801Z",
        "endTime": "2018-06-16T00:55:13.8441801Z",
        "timeZone": "UTC"
      }
    },
    "pipelines": [
      {
        "pipelineReference": {
          "referenceName": "examplePipeline",
          "type": "PipelineReference"
        },
        "parameters": {
          "OutputBlobNameList": [
            "exampleoutput.csv"
          ]
        }
      }
    ]
  }
}

Örnek yanıt

Date: Sat, 16 Jun 2018 00:40:14 GMT
X-Content-Type-Options: nosniff
x-ms-ratelimit-remaining-subscription-writes: 1186
x-ms-request-id: 373f1a49-685d-4c07-8857-0fcf1bcaffcb
x-ms-correlation-request-id: 373f1a49-685d-4c07-8857-0fcf1bcaffcb
{
  "id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/triggers/exampleTrigger",
  "name": "exampleTrigger",
  "type": "Microsoft.DataFactory/factories/triggers",
  "properties": {
    "type": "ScheduleTrigger",
    "typeProperties": {
      "recurrence": {
        "frequency": "Minute",
        "interval": 4,
        "startTime": "2018-06-16T00:39:13.8441801Z",
        "endTime": "2018-06-16T00:55:13.8441801Z",
        "timeZone": "UTC"
      }
    },
    "pipelines": [
      {
        "pipelineReference": {
          "referenceName": "examplePipeline",
          "type": "PipelineReference"
        },
        "parameters": {
          "OutputBlobNameList": [
            "exampleoutput.csv"
          ]
        }
      }
    ],
    "runtimeState": "Stopped"
  },
  "etag": "0a008ad4-0000-0000-0000-5b245c6e0000"
}

Triggers_Update

Örnek isteği

PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/triggers/exampleTrigger?api-version=2018-06-01

{
  "properties": {
    "type": "ScheduleTrigger",
    "typeProperties": {
      "recurrence": {
        "frequency": "Minute",
        "interval": 4,
        "startTime": "2018-06-16T00:39:14.905167Z",
        "endTime": "2018-06-16T00:55:14.905167Z",
        "timeZone": "UTC"
      }
    },
    "pipelines": [
      {
        "pipelineReference": {
          "referenceName": "examplePipeline",
          "type": "PipelineReference"
        },
        "parameters": {
          "OutputBlobNameList": [
            "exampleoutput.csv"
          ]
        }
      }
    ],
    "description": "Example description"
  }
}

Örnek yanıt

Date: Sat, 16 Jun 2018 00:40:15 GMT
X-Content-Type-Options: nosniff
x-ms-ratelimit-remaining-subscription-writes: 1185
x-ms-request-id: d5ccf096-0618-4b26-9829-db77e4c391c7
x-ms-correlation-request-id: d5ccf096-0618-4b26-9829-db77e4c391c7
{
  "id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/triggers/exampleTrigger",
  "name": "exampleTrigger",
  "type": "Microsoft.DataFactory/factories/triggers",
  "properties": {
    "type": "ScheduleTrigger",
    "typeProperties": {
      "recurrence": {
        "frequency": "Minute",
        "interval": 4,
        "startTime": "2018-06-16T00:39:14.905167Z",
        "endTime": "2018-06-16T00:55:14.905167Z",
        "timeZone": "UTC"
      }
    },
    "pipelines": [
      {
        "pipelineReference": {
          "referenceName": "examplePipeline",
          "type": "PipelineReference"
        },
        "parameters": {
          "OutputBlobNameList": [
            "exampleoutput.csv"
          ]
        }
      }
    ],
    "description": "Example description",
    "runtimeState": "Stopped"
  },
  "etag": "0a008dd4-0000-0000-0000-5b245c6f0000"
}

Tanımlar

Name Description
CloudError

Azure Data Factory hata yanıtının yapısını tanımlayan nesne.

MultiplePipelineTrigger

İşlem hattına tetikleyici için bire çok modeli destekleyen tüm tetikleyiciler için temel sınıf.

PipelineReference

İşlem hattı başvuru türü.

TriggerPipelineReference

Verilen parametrelerle tetiklenmesi gereken işlem hattı.

TriggerResource

Tetikleyici kaynak türü.

TriggerRuntimeState

Tetikleyicilerin olası durumunu numaralandırır.

CloudError

Azure Data Factory hata yanıtının yapısını tanımlayan nesne.

Name Tür Description
error.code

string

Hata kodu.

error.details

CloudError[]

Ek hata ayrıntıları içeren dizi.

error.message

string

Hata mesajı.

error.target

string

Hatayla ilişkili istekte özellik adı/yolu.

MultiplePipelineTrigger

İşlem hattına tetikleyici için bire çok modeli destekleyen tüm tetikleyiciler için temel sınıf.

Name Tür Description
annotations

object[]

Tetikleyiciyi tanımlamak için kullanılabilecek etiketlerin listesi.

description

string

Tetikleyici açıklaması.

pipelines

TriggerPipelineReference[]

Başlatılması gereken işlem hatları.

runtimeState

TriggerRuntimeState

Tetikleyicinin çalışıp çalışmadığını gösterir. Tetikleyicide Başlat/Durdur API'leri çağrıldığında güncelleştirildi.

type string:

MultiplePipelineTrigger

Tetikleyici türü.

PipelineReference

İşlem hattı başvuru türü.

Name Tür Description
name

string

Başvuru adı.

referenceName

string

Başvuru işlem hattı adı.

type enum:

PipelineReference

İşlem hattı başvuru türü.

TriggerPipelineReference

Verilen parametrelerle tetiklenmesi gereken işlem hattı.

Name Tür Description
parameters

object

İşlem hattı parametreleri.

pipelineReference

PipelineReference

İşlem hattı başvurusu.

TriggerResource

Tetikleyici kaynak türü.

Name Tür Description
etag

string

Etag, kaynaktaki değişikliği tanımlar.

id

string

Kaynak tanımlayıcısı.

name

string

Kaynak adı.

properties Trigger:

MultiplePipelineTrigger

Tetikleyicinin özellikleri.

type

string

Kaynak türü.

TriggerRuntimeState

Tetikleyicilerin olası durumunu numaralandırır.

Değer Description
Started
Stopped
Disabled